org.apache.geode.management

## Class GemFireProperties

- java.lang.Object
- - org.apache.geode.management.GemFireProperties

-     public class GemFireProperties
      extends java.lang.Object

  Composite Data type to be used by member to depict gemfire properties in key value manner
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GemFireProperties()` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAckSevereAlertThreshold()`
    `int` | `getAckWaitThreshold()`
    `int` | `getArchiveDiskSpaceLimit()`
    `int` | `getArchiveFileSizeLimit()`
    `int` | `getAsyncDistributionTimeout()`
    `int` | `getAsyncMaxQueueSize()`
    `int` | `getAsyncQueueTimeout()`
    `java.lang.String` | `getBindAddress()`
    `java.lang.String` | `getCacheXMLFile()`
    `java.lang.String` | `getClientConflation()`
    `java.lang.String` | `getClusterSSLAlias()`
    `java.lang.String` | `getClusterSSLCiphers()`
    `java.lang.String` | `getClusterSSLKeyStore()`
    `java.lang.String` | `getClusterSSLKeyStorePassword()`
    `java.lang.String` | `getClusterSSLKeyStoreType()`
    `java.lang.String` | `getClusterSSLProtocols()`
    `java.lang.String` | `getClusterSSLTrustStore()`
    `java.lang.String` | `getClusterSSLTrustStorePassword()`
    `java.lang.String` | `getConfigFile()`
    `int` | `getDepartureCorrelationWindow()`
    `boolean` | `getDistributedTransactions()`
    `java.lang.String` | `getDurableClientId()`
    `int` | `getDurableClientTimeout()`
    `java.lang.String` | `getGatewaySSLAlias()`
    `java.lang.String` | `getGatewaySSLCiphers()`
    `java.lang.String` | `getGatewaySSLKeyStore()`
    `java.lang.String` | `getGatewaySSLKeyStorePassword()`
    `java.lang.String` | `getGatewaySSLKeyStoreType()`
    `java.lang.String` | `getGatewaySSLProtocols()`
    `java.lang.String` | `getGatewaySSLTrustStore()`
    `java.lang.String` | `getGatewaySSLTrustStorePassword()`
    `java.lang.String` | `getHttpServiceBindAddress()`
    `int` | `getHttpServicePort()`
    `java.lang.String` | `getHttpServiceSSLAlias()`
    `java.lang.String` | `getHttpServiceSSLCiphers()`
    `java.lang.String` | `getHttpServiceSSLKeyStore()`
    `java.lang.String` | `getHttpServiceSSLKeyStorePassword()`
    `java.lang.String` | `getHttpServiceSSLKeyStoreType()`
    `java.lang.String` | `getHttpServiceSSLProtocols()`
    `java.lang.String` | `getHttpServiceSSLTrustStore()`
    `java.lang.String` | `getHttpServiceSSLTrustStorePassword()`
    `java.lang.String` | `getIncludeFile()`
    `java.lang.String` | `getJmxManagerAccessFile()`
    `java.lang.String` | `getJmxManagerBindAddress()`
    `java.lang.String` | `getJmxManagerHostnameForClients()`
    `int` | `getJmxManagerHttpPort()`
    `java.lang.String` | `getJmxManagerPasswordFile()`
    `int` | `getJmxManagerPort()`
    `java.lang.String` | `getJmxManagerSSLCiphers()`
    `java.lang.String` | `getJmxManagerSSLKeyStore()`
    `java.lang.String` | `getJmxManagerSSLKeyStorePassword()`
    `java.lang.String` | `getJmxManagerSSLKeyStoreType()`
    `java.lang.String` | `getJmxManagerSSLProtocols()`
    `java.lang.String` | `getJmxManagerSSLTrustStore()`
    `java.lang.String` | `getJmxManagerSSLTrustStorePassword()`
    `int` | `getJmxManagerUpdateRate()`
    `java.lang.String` | `getJmxSSLAlias()`
    `java.lang.String` | `getLocators()`
    `java.lang.String` | `getLocatorSSLAlias()`
    `int` | `getLogDiskSpaceLimit()`
    `java.lang.String` | `getLogFile()`
    `int` | `getLogFileSizeLimit()`
    `int` | `getLogLevel()`
    `int` | `getMaxNumReconnectTries()`
    `int` | `getMaxWaitTimeForReconnect()`
    `java.lang.String` | `getMcastAddress()`
    `int` | `getMcastByteAllowance()`
    `int` | `getMcastPort()`
    `int` | `getMcastRechargeBlockMs()`
    `float` | `getMcastRechargeThreshold()`
    `int` | `getMcastRecvBufferSize()`
    `int` | `getMcastSendBufferSize()`
    `int` | `getMcastTTL()`
    `java.lang.String` | `getMemberGroups()`
    `java.lang.String` | `getMemberName()`
    `int[]` | `getMembershipPortRange()`
    `int` | `getMemberTimeout()`
    `java.lang.String` | `getRedundancyZone()`
    `java.lang.String` | `getRoles()`
    `org.apache.geode.internal.security.SecurableCommunicationChannel[]` | `getSecurableCommunicationChannel()`
    `java.lang.String` | `getSecurityClientAccessor()`
    `java.lang.String` | `getSecurityClientAccessorPP()`
    `java.lang.String` | `getSecurityClientAuthenticator()`
    `java.lang.String` | `getSecurityClientAuthInit()`
    `java.lang.String` | `getSecurityClientDHAlgo()`
    `java.lang.String` | `getSecurityLogFile()`
    `int` | `getSecurityLogLevel()`
    `java.lang.String` | `getSecurityPeerAuthenticator()`
    `java.lang.String` | `getSecurityPeerAuthInit()`
    `int` | `getSecurityPeerMembershipTimeout()`
    `java.lang.String` | `getServerBindAddress()`
    `java.lang.String` | `getServerSSLAlias()`
    `java.lang.String` | `getServerSSLCiphers()`
    `java.lang.String` | `getServerSSLKeyStore()`
    `java.lang.String` | `getServerSSLKeyStorePassword()`
    `java.lang.String` | `getServerSSLKeyStoreType()`
    `java.lang.String` | `getServerSSLProtocols()`
    `java.lang.String` | `getServerSSLTrustStore()`
    `java.lang.String` | `getServerSSLTrustStorePassword()`
    `int` | `getSocketBufferSize()`
    `int` | `getSocketLeaseTime()`
    `java.lang.String` | `getSSLCiphers()`
    `java.lang.String` | `getSSLDefaultAlias()`
    `java.lang.String` | `getSSLKeyStore()`
    `java.lang.String` | `getSSLKeyStorePassword()`
    `java.lang.String` | `getSSLKeyStoreType()`
    `java.lang.String` | `getSSLProtocols()`
    `java.lang.String` | `getSSLTrustStore()`
    `java.lang.String` | `getSSLTrustStorePassword()`
    `java.lang.String` | `getSSLTrustStoreType()`
    `boolean` | `getSSLWebServiceRequireAuthentication()`
    `boolean` | `getStartDevRestApi()`
    `java.lang.String` | `getStartLocator()`
    `java.lang.String` | `getStatisticArchiveFile()`
    `int` | `getStatisticSampleRate()`
    `int` | `getTcpPort()`
    `int` | `getUdpFragmentSize()`
    `int` | `getUdpRecvBufferSize()`
    `int` | `getUdpSendBufferSize()`
    `boolean` | `isClusterSSLEnabled()`
    `boolean` | `isClusterSSLRequireAuthentication()`
    `boolean` | `isConserveSockets()`
    `boolean` | `isDeltaPropagation()`
    `boolean` | `isDisableTcp()`
    `boolean` | `isEnableNetworkPartitionDetection()`
    `boolean` | `isEnableTimeStatistics()`
    `boolean` | `isEnforceUniqueHost()`
    `boolean` | `isGatewaySSLEnabled()`
    `boolean` | `isGatewaySSLRequireAuthentication()`
    `boolean` | `isHttpServiceSSLEnabled()`
    `boolean` | `isHttpServiceSSLRequireAuthentication()`
    `boolean` | `isJmxManager()`
    `boolean` | `isJmxManagerSSL()`
    `boolean` | `isJmxManagerSSLEnabled()`
    `boolean` | `isJmxManagerSSLRequireAuthentication()`
    `boolean` | `isJmxManagerStart()`
    `boolean` | `isRemoveUnresponsiveClient()`
    `boolean` | `isServerSSLEnabled()`
    `boolean` | `isServerSSLRequireAuthentication()`
    `boolean` | `isSSLRequireAuthentication()`
    `boolean` | `isStatisticSamplingEnabled()`
    `void` | `setAckSevereAlertThreshold(int ackSevereAlertThreshold)`
    `void` | `setAckWaitThreshold(int ackWaitThreshold)`
    `void` | `setArchiveDiskSpaceLimit(int archiveDiskSpaceLimit)`
    `void` | `setArchiveFileSizeLimit(int archiveFileSizeLimit)`
    `void` | `setAsyncDistributionTimeout(int asyncDistributionTimeout)`
    `void` | `setAsyncMaxQueueSize(int asyncMaxQueueSize)`
    `void` | `setAsyncQueueTimeout(int asyncQueueTimeout)`
    `void` | `setBindAddress(java.lang.String bindAddress)`
    `void` | `setCacheXMLFile(java.lang.String cacheXMLFile)`
    `void` | `setClientConflation(java.lang.String clientConflation)`
    `void` | `setClusterSSLAlias(java.lang.String clusterSSLAlias)`
    `void` | `setClusterSSLCiphers(java.lang.String clusterSSLCiphers)`
    `void` | `setClusterSSLEnabled(boolean clusterSSLEnabled)`
    `void` | `setClusterSSLKeyStore(java.lang.String clusterSSLKeyStore)`
    `void` | `setClusterSSLKeyStorePassword(java.lang.String clusterSSLKeyStorePassword)`
    `void` | `setClusterSSLKeyStoreType(java.lang.String clusterSSLKeyStoreType)`
    `void` | `setClusterSSLProtocols(java.lang.String clusterSSLProtocols)`
    `void` | `setClusterSSLRequireAuthentication(boolean clusterSSLRequireAuthentication)`
    `void` | `setClusterSSLTrustStore(java.lang.String clusterSSLTrustStore)`
    `void` | `setClusterSSLTrustStorePassword(java.lang.String clusterSSLTrustStorePassword)`
    `void` | `setConfigFile(java.lang.String configFile)`
    `void` | `setConserveSockets(boolean conserveSockets)`
    `void` | `setDeltaPropagation(boolean deltaPropagation)`
    `void` | `setDepartureCorrelationWindow(int departureCorrelationWindow)`
    `void` | `setDisableTcp(boolean disableTcp)`
    `void` | `setDistributedTransactions(boolean value)`
    `void` | `setDurableClientId(java.lang.String durableClientId)`
    `void` | `setDurableClientTimeout(int durableClientTimeout)`
    `void` | `setEnableNetworkPartitionDetection(boolean enableNetworkPartitionDetection)`
    `void` | `setEnableTimeStatistics(boolean enableTimeStatistics)`
    `void` | `setEnforceUniqueHost(boolean enforceUniqueHost)`
    `void` | `setGatewaySSLAlias(java.lang.String gatewaySSLAlias)`
    `void` | `setGatewaySSLCiphers(java.lang.String gatewaySSLCiphers)`
    `void` | `setGatewaySSLEnabled(boolean gatewaySSLEnabled)`
    `void` | `setGatewaySSLKeyStore(java.lang.String gatewaySSLKeyStore)`
    `void` | `setGatewaySSLKeyStorePassword(java.lang.String gatewaySSLKeyStorePassword)`
    `void` | `setGatewaySSLKeyStoreType(java.lang.String gatewaySSLKeyStoreType)`
    `void` | `setGatewaySSLProtocols(java.lang.String gatewaySSLProtocols)`
    `void` | `setGatewaySSLRequireAuthentication(boolean gatewaySSLRequireAuthentication)`
    `void` | `setGatewaySSLTrustStore(java.lang.String gatewaySSLTrustStore)`
    `void` | `setGatewaySSLTrustStorePassword(java.lang.String gatewaySSLTrustStorePassword)`
    `void` | `setHttpServiceBindAddress(java.lang.String httpServiceBindAddress)`
    `void` | `setHttpServicePort(int httpServicePort)`
    `void` | `setHttpServiceSSLAlias(java.lang.String httpServiceSSLAlias)`
    `void` | `setHttpServiceSSLCiphers(java.lang.String httpServiceSSLCiphers)`
    `void` | `setHttpServiceSSLEnabled(boolean httpServiceSSLEnabled)`
    `void` | `setHttpServiceSSLKeyStore(java.lang.String httpServiceSSLKeyStore)`
    `void` | `setHttpServiceSSLKeyStorePassword(java.lang.String httpServiceSSLKeyStorePassword)`
    `void` | `setHttpServiceSSLKeyStoreType(java.lang.String httpServiceSSLKeyStoreType)`
    `void` | `setHttpServiceSSLProtocols(java.lang.String httpServiceSSLProtocols)`
    `void` | `setHttpServiceSSLRequireAuthentication(boolean httpServiceSSLRequireAuthentication)`
    `void` | `setHttpServiceSSLTrustStore(java.lang.String httpServiceSSLTrustStore)`
    `void` | `setHttpServiceSSLTrustStorePassword(java.lang.String httpServiceSSLTrustStorePassword)`
    `void` | `setIncludeFile(java.lang.String includeFile)`
    `void` | `setJmxManager(boolean jmxManager)`
    `void` | `setJmxManagerAccessFile(java.lang.String jmxManagerAccessFile)`
    `void` | `setJmxManagerBindAddress(java.lang.String jmxManagerBindAddress)`
    `void` | `setJmxManagerHostnameForClients(java.lang.String jmxManagerHostnameForClients)`
    `void` | `setJmxManagerHttpPort(int jmxManagerHttpPort)`
    `void` | `setJmxManagerPasswordFile(java.lang.String jmxManagerPasswordFile)`
    `void` | `setJmxManagerPort(int jmxManagerPort)`
    `void` | `setJmxManagerSSL(boolean jmxManagerSSL)`
    `void` | `setJmxManagerSSLCiphers(java.lang.String jmxManagerSSLCiphers)`
    `void` | `setJmxManagerSSLEnabled(boolean jmxManagerSSLEnabled)`
    `void` | `setJmxManagerSSLKeyStore(java.lang.String jmxManagerSSLKeyStore)`
    `void` | `setJmxManagerSSLKeyStorePassword(java.lang.String jmxManagerSSLKeyStorePassword)`
    `void` | `setJmxManagerSSLKeyStoreType(java.lang.String jmxManagerSSLKeyStoreType)`
    `void` | `setJmxManagerSSLProtocols(java.lang.String jmxManagerSSLProtocols)`
    `void` | `setJmxManagerSSLRequireAuthentication(boolean jmxManagerSSLRequireAuthentication)`
    `void` | `setJmxManagerSSLTrustStore(java.lang.String jmxManagerSSLTrustStore)`
    `void` | `setJmxManagerSSLTrustStorePassword(java.lang.String jmxManagerSSLTrustStorePassword)`
    `void` | `setJmxManagerStart(boolean jmxManagerStart)`
    `void` | `setJmxManagerUpdateRate(int jmxManagerUpdateRate)`
    `void` | `setJmxSSLAlias(java.lang.String jmxSSLAlias)`
    `void` | `setLocators(java.lang.String locators)`
    `void` | `setLocatorSSLAlias(java.lang.String locatorSSLAlias)`
    `void` | `setLogDiskSpaceLimit(int logDiskSpaceLimit)`
    `void` | `setLogFile(java.lang.String logFile)`
    `void` | `setLogFileSizeLimit(int logFileSizeLimit)`
    `void` | `setLogLevel(int logLevel)`
    `void` | `setMaxNumReconnectTries(int maxNumReconnectTries)`
    `void` | `setMaxWaitTimeForReconnect(int maxWaitTimeForReconnect)`
    `void` | `setMcastAddress(java.lang.String mcastAddress)`
    `void` | `setMcastByteAllowance(int mcastByteAllowance)`
    `void` | `setMcastPort(int mcastPort)`
    `void` | `setMcastRechargeBlockMs(int mcastRechargeBlockMs)`
    `void` | `setMcastRechargeThreshold(float mcastRechargeThreshold)`
    `void` | `setMcastRecvBufferSize(int mcastRecvBufferSize)`
    `void` | `setMcastSendBufferSize(int mcastSendBufferSize)`
    `void` | `setMcastTTL(int mcastTTL)`
    `void` | `setMemberGroups(java.lang.String memberGroups)`
    `void` | `setMemberName(java.lang.String memberName)`
    `void` | `setMembershipPortRange(int[] membershipPortRange)`
    `void` | `setMemberTimeout(int memberTimeout)`
    `void` | `setRedundancyZone(java.lang.String redundancyZone)`
    `void` | `setRemoveUnresponsiveClient(boolean removeUnresponsiveClient)`
    `void` | `setRoles(java.lang.String roles)`
    `void` | `setSecurableCommunicationChannel(org.apache.geode.internal.security.SecurableCommunicationChannel[] sslEnabledComponents)`
    `void` | `setSecurityClientAccessor(java.lang.String securityClientAccessor)`
    `void` | `setSecurityClientAccessorPP(java.lang.String securityClientAccessorPP)`
    `void` | `setSecurityClientAuthenticator(java.lang.String securityClientAuthenticator)`
    `void` | `setSecurityClientAuthInit(java.lang.String securityClientAuthInit)`
    `void` | `setSecurityClientDHAlgo(java.lang.String securityClientDHAlgo)`
    `void` | `setSecurityLogFile(java.lang.String securityLogFile)`
    `void` | `setSecurityLogLevel(int securityLogLevel)`
    `void` | `setSecurityPeerAuthenticator(java.lang.String securityPeerAuthenticator)`
    `void` | `setSecurityPeerAuthInit(java.lang.String securityPeerAuthInit)`
    `void` | `setSecurityPeerMembershipTimeout(int securityPeerMembershipTimeout)`
    `void` | `setServerBindAddress(java.lang.String serverBindAddress)`
    `void` | `setServerSSLAlias(java.lang.String serverSSLAlias)`
    `void` | `setServerSSLCiphers(java.lang.String serverSSLCiphers)`
    `void` | `setServerSSLEnabled(boolean serverSSLEnabled)`
    `void` | `setServerSSLKeyStore(java.lang.String serverSSLKeyStore)`
    `void` | `setServerSSLKeyStorePassword(java.lang.String serverSSLKeyStorePassword)`
    `void` | `setServerSSLKeyStoreType(java.lang.String serverSSLKeyStoreType)`
    `void` | `setServerSSLProtocols(java.lang.String serverSSLProtocols)`
    `void` | `setServerSSLRequireAuthentication(boolean serverSSLRequireAuthentication)`
    `void` | `setServerSSLTrustStore(java.lang.String serverSSLTrustStore)`
    `void` | `setServerSSLTrustStorePassword(java.lang.String serverSSLTrustStorePassword)`
    `void` | `setSocketBufferSize(int socketBufferSize)`
    `void` | `setSocketLeaseTime(int socketLeaseTime)`
    `void` | `setSSLCiphers(java.lang.String sslCiphers)`
    `void` | `setSSLDefaultAlias(java.lang.String sslDefaultAlias)`
    `void` | `setSSLKeyStore(java.lang.String sslKeyStore)`
    `void` | `setSSLKeyStorePassword(java.lang.String sslKeyStorePassword)`
    `void` | `setSSLKeyStoreType(java.lang.String sslKeyStoreType)`
    `void` | `setSSLProtocols(java.lang.String sslProtocols)`
    `void` | `setSSLRequireAuthentication(boolean sslRequireAuthentication)`
    `void` | `setSSLTrustStore(java.lang.String sslTrustStore)`
    `void` | `setSSLTrustStorePassword(java.lang.String sslTrustStorePassword)`
    `void` | `setSSLTrustStoreType(java.lang.String sslTrustStoreType)`
    `void` | `setSSLWebServiceRequireAuthentication(boolean sslWebServiceRequireAuthentication)`
    `void` | `setStartDevRestApi(boolean startDevRestApi)`
    `void` | `setStartLocator(java.lang.String startLocator)`
    `void` | `setStatisticArchiveFile(java.lang.String statisticArchiveFile)`
    `void` | `setStatisticSampleRate(int statisticSampleRate)`
    `void` | `setStatisticSamplingEnabled(boolean statisticSamplingEnabled)`
    `void` | `setTcpPort(int tcpPort)`
    `void` | `setUdpFragmentSize(int udpFragmentSize)`
    `void` | `setUdpRecvBufferSize(int udpRecvBufferSize)`
    `void` | `setUdpSendBufferSize(int udpSendBufferSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GemFireProperties

          public GemFireProperties()

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.

  - ### Method Detail

    - #### getMemberName

          public java.lang.String getMemberName()

    - #### getMemberGroups

          public java.lang.String getMemberGroups()

    - #### getMcastPort

          public int getMcastPort()

    - #### getMcastAddress

          public java.lang.String getMcastAddress()

    - #### getBindAddress

          public java.lang.String getBindAddress()

    - #### getTcpPort

          public int getTcpPort()

    - #### getCacheXMLFile

          public java.lang.String getCacheXMLFile()

    - #### getConfigFile

          public java.lang.String getConfigFile()

    - #### getMcastTTL

          public int getMcastTTL()

    - #### getServerBindAddress

          public java.lang.String getServerBindAddress()

    - #### getLocators

          public java.lang.String getLocators()

    - #### getStartLocator

          public java.lang.String getStartLocator()

    - #### getLogFile

          public java.lang.String getLogFile()

    - #### getLogLevel

          public int getLogLevel()

    - #### isStatisticSamplingEnabled

          public boolean isStatisticSamplingEnabled()

    - #### getStatisticArchiveFile

          public java.lang.String getStatisticArchiveFile()

    - #### getIncludeFile

          public java.lang.String getIncludeFile()

    - #### getAckWaitThreshold

          public int getAckWaitThreshold()

    - #### getAckSevereAlertThreshold

          public int getAckSevereAlertThreshold()

    - #### getArchiveFileSizeLimit

          public int getArchiveFileSizeLimit()

    - #### getArchiveDiskSpaceLimit

          public int getArchiveDiskSpaceLimit()

    - #### getLogFileSizeLimit

          public int getLogFileSizeLimit()

    - #### getLogDiskSpaceLimit

          public int getLogDiskSpaceLimit()

    - #### getSocketLeaseTime

          public int getSocketLeaseTime()

    - #### getSocketBufferSize

          public int getSocketBufferSize()

    - #### getMcastSendBufferSize

          public int getMcastSendBufferSize()

    - #### getMcastRecvBufferSize

          public int getMcastRecvBufferSize()

    - #### getMcastByteAllowance

          public int getMcastByteAllowance()

    - #### getMcastRechargeThreshold

          public float getMcastRechargeThreshold()

    - #### getMcastRechargeBlockMs

          public int getMcastRechargeBlockMs()

    - #### getUdpFragmentSize

          public int getUdpFragmentSize()

    - #### getUdpSendBufferSize

          public int getUdpSendBufferSize()

    - #### getUdpRecvBufferSize

          public int getUdpRecvBufferSize()

    - #### isDisableTcp

          public boolean isDisableTcp()

    - #### isEnableTimeStatistics

          public boolean isEnableTimeStatistics()

    - #### isEnableNetworkPartitionDetection

          public boolean isEnableNetworkPartitionDetection()

    - #### getDepartureCorrelationWindow

          public int getDepartureCorrelationWindow()

    - #### getMemberTimeout

          public int getMemberTimeout()

    - #### getMembershipPortRange

          public int[] getMembershipPortRange()

    - #### isConserveSockets

          public boolean isConserveSockets()

    - #### getRoles

          public java.lang.String getRoles()

    - #### getMaxWaitTimeForReconnect

          public int getMaxWaitTimeForReconnect()

    - #### getMaxNumReconnectTries

          public int getMaxNumReconnectTries()

    - #### getAsyncDistributionTimeout

          public int getAsyncDistributionTimeout()

    - #### getAsyncQueueTimeout

          public int getAsyncQueueTimeout()

    - #### getAsyncMaxQueueSize

          public int getAsyncMaxQueueSize()

    - #### getClientConflation

          public java.lang.String getClientConflation()

    - #### getDurableClientId

          public java.lang.String getDurableClientId()

    - #### getDurableClientTimeout

          public int getDurableClientTimeout()

    - #### getSecurityClientAuthInit

          public java.lang.String getSecurityClientAuthInit()

    - #### getSecurityClientAuthenticator

          public java.lang.String getSecurityClientAuthenticator()

    - #### getSecurityClientDHAlgo

          public java.lang.String getSecurityClientDHAlgo()

    - #### getSecurityPeerAuthInit

          public java.lang.String getSecurityPeerAuthInit()

    - #### getSecurityPeerAuthenticator

          public java.lang.String getSecurityPeerAuthenticator()

    - #### getSecurityClientAccessor

          public java.lang.String getSecurityClientAccessor()

    - #### getSecurityClientAccessorPP

          public java.lang.String getSecurityClientAccessorPP()

    - #### getSecurityLogLevel

          public int getSecurityLogLevel()

    - #### getSecurityLogFile

          public java.lang.String getSecurityLogFile()

    - #### getSecurityPeerMembershipTimeout

          public int getSecurityPeerMembershipTimeout()

    - #### isRemoveUnresponsiveClient

          public boolean isRemoveUnresponsiveClient()

    - #### isDeltaPropagation

          public boolean isDeltaPropagation()

    - #### getRedundancyZone

          public java.lang.String getRedundancyZone()

    - #### isEnforceUniqueHost

          public boolean isEnforceUniqueHost()

    - #### getStatisticSampleRate

          public int getStatisticSampleRate()

    - #### setMemberName

          public void setMemberName(java.lang.String memberName)

    - #### setMemberGroups

          public void setMemberGroups(java.lang.String memberGroups)

    - #### setMcastPort

          public void setMcastPort(int mcastPort)

    - #### setMcastAddress

          public void setMcastAddress(java.lang.String mcastAddress)

    - #### setBindAddress

          public void setBindAddress(java.lang.String bindAddress)

    - #### setTcpPort

          public void setTcpPort(int tcpPort)

    - #### setCacheXMLFile

          public void setCacheXMLFile(java.lang.String cacheXMLFile)

    - #### setConfigFile

          public void setConfigFile(java.lang.String configFile)

    - #### setMcastTTL

          public void setMcastTTL(int mcastTTL)

    - #### setServerBindAddress

          public void setServerBindAddress(java.lang.String serverBindAddress)

    - #### setLocators

          public void setLocators(java.lang.String locators)

    - #### setStartLocator

          public void setStartLocator(java.lang.String startLocator)

    - #### setLogFile

          public void setLogFile(java.lang.String logFile)

    - #### setLogLevel

          public void setLogLevel(int logLevel)

    - #### setStatisticSamplingEnabled

          public void setStatisticSamplingEnabled(boolean statisticSamplingEnabled)

    - #### setStatisticArchiveFile

          public void setStatisticArchiveFile(java.lang.String statisticArchiveFile)

    - #### setIncludeFile

          public void setIncludeFile(java.lang.String includeFile)

    - #### setAckWaitThreshold

          public void setAckWaitThreshold(int ackWaitThreshold)

    - #### setAckSevereAlertThreshold

          public void setAckSevereAlertThreshold(int ackSevereAlertThreshold)

    - #### setArchiveFileSizeLimit

          public void setArchiveFileSizeLimit(int archiveFileSizeLimit)

    - #### setArchiveDiskSpaceLimit

          public void setArchiveDiskSpaceLimit(int archiveDiskSpaceLimit)

    - #### setLogFileSizeLimit

          public void setLogFileSizeLimit(int logFileSizeLimit)

    - #### setLogDiskSpaceLimit

          public void setLogDiskSpaceLimit(int logDiskSpaceLimit)

    - #### setSocketLeaseTime

          public void setSocketLeaseTime(int socketLeaseTime)

    - #### setSocketBufferSize

          public void setSocketBufferSize(int socketBufferSize)

    - #### setMcastSendBufferSize

          public void setMcastSendBufferSize(int mcastSendBufferSize)

    - #### setMcastRecvBufferSize

          public void setMcastRecvBufferSize(int mcastRecvBufferSize)

    - #### setMcastByteAllowance

          public void setMcastByteAllowance(int mcastByteAllowance)

    - #### setMcastRechargeThreshold

          public void setMcastRechargeThreshold(float mcastRechargeThreshold)

    - #### setMcastRechargeBlockMs

          public void setMcastRechargeBlockMs(int mcastRechargeBlockMs)

    - #### setUdpFragmentSize

          public void setUdpFragmentSize(int udpFragmentSize)

    - #### setUdpSendBufferSize

          public void setUdpSendBufferSize(int udpSendBufferSize)

    - #### setUdpRecvBufferSize

          public void setUdpRecvBufferSize(int udpRecvBufferSize)

    - #### setDisableTcp

          public void setDisableTcp(boolean disableTcp)

    - #### setEnableTimeStatistics

          public void setEnableTimeStatistics(boolean enableTimeStatistics)

    - #### setEnableNetworkPartitionDetection

          public void setEnableNetworkPartitionDetection(boolean enableNetworkPartitionDetection)

    - #### setDepartureCorrelationWindow

          public void setDepartureCorrelationWindow(int departureCorrelationWindow)

    - #### setMemberTimeout

          public void setMemberTimeout(int memberTimeout)

    - #### setMembershipPortRange

          public void setMembershipPortRange(int[] membershipPortRange)

    - #### setConserveSockets

          public void setConserveSockets(boolean conserveSockets)

    - #### setRoles

          public void setRoles(java.lang.String roles)

    - #### setMaxWaitTimeForReconnect

          public void setMaxWaitTimeForReconnect(int maxWaitTimeForReconnect)

    - #### setMaxNumReconnectTries

          public void setMaxNumReconnectTries(int maxNumReconnectTries)

    - #### setAsyncDistributionTimeout

          public void setAsyncDistributionTimeout(int asyncDistributionTimeout)

    - #### setAsyncQueueTimeout

          public void setAsyncQueueTimeout(int asyncQueueTimeout)

    - #### setAsyncMaxQueueSize

          public void setAsyncMaxQueueSize(int asyncMaxQueueSize)

    - #### setClientConflation

          public void setClientConflation(java.lang.String clientConflation)

    - #### setDurableClientId

          public void setDurableClientId(java.lang.String durableClientId)

    - #### setDurableClientTimeout

          public void setDurableClientTimeout(int durableClientTimeout)

    - #### setSecurityClientAuthInit

          public void setSecurityClientAuthInit(java.lang.String securityClientAuthInit)

    - #### setSecurityClientAuthenticator

          public void setSecurityClientAuthenticator(java.lang.String securityClientAuthenticator)

    - #### setSecurityClientDHAlgo

          public void setSecurityClientDHAlgo(java.lang.String securityClientDHAlgo)

    - #### setSecurityPeerAuthInit

          public void setSecurityPeerAuthInit(java.lang.String securityPeerAuthInit)

    - #### setSecurityPeerAuthenticator

          public void setSecurityPeerAuthenticator(java.lang.String securityPeerAuthenticator)

    - #### setSecurityClientAccessor

          public void setSecurityClientAccessor(java.lang.String securityClientAccessor)

    - #### setSecurityClientAccessorPP

          public void setSecurityClientAccessorPP(java.lang.String securityClientAccessorPP)

    - #### setSecurityLogLevel

          public void setSecurityLogLevel(int securityLogLevel)

    - #### setSecurityLogFile

          public void setSecurityLogFile(java.lang.String securityLogFile)

    - #### setSecurityPeerMembershipTimeout

          public void setSecurityPeerMembershipTimeout(int securityPeerMembershipTimeout)

    - #### setRemoveUnresponsiveClient

          public void setRemoveUnresponsiveClient(boolean removeUnresponsiveClient)

    - #### setDeltaPropagation

          public void setDeltaPropagation(boolean deltaPropagation)

    - #### setRedundancyZone

          public void setRedundancyZone(java.lang.String redundancyZone)

    - #### setEnforceUniqueHost

          public void setEnforceUniqueHost(boolean enforceUniqueHost)

    - #### setStatisticSampleRate

          public void setStatisticSampleRate(int statisticSampleRate)

    - #### isJmxManager

          public boolean isJmxManager()

    - #### setJmxManager

          public void setJmxManager(boolean jmxManager)

    - #### isJmxManagerStart

          public boolean isJmxManagerStart()

    - #### setJmxManagerStart

          public void setJmxManagerStart(boolean jmxManagerStart)

    - #### isJmxManagerSSL

          public boolean isJmxManagerSSL()

    - #### setJmxManagerSSL

          public void setJmxManagerSSL(boolean jmxManagerSSL)

    - #### getJmxManagerPort

          public int getJmxManagerPort()

    - #### setJmxManagerPort

          public void setJmxManagerPort(int jmxManagerPort)

    - #### getJmxManagerBindAddress

          public java.lang.String getJmxManagerBindAddress()

    - #### setJmxManagerBindAddress

          public void setJmxManagerBindAddress(java.lang.String jmxManagerBindAddress)

    - #### getJmxManagerHostnameForClients

          public java.lang.String getJmxManagerHostnameForClients()

    - #### setJmxManagerHostnameForClients

          public void setJmxManagerHostnameForClients(java.lang.String jmxManagerHostnameForClients)

    - #### getJmxManagerPasswordFile

          public java.lang.String getJmxManagerPasswordFile()

    - #### setJmxManagerPasswordFile

          public void setJmxManagerPasswordFile(java.lang.String jmxManagerPasswordFile)

    - #### getJmxManagerAccessFile

          public java.lang.String getJmxManagerAccessFile()

    - #### setJmxManagerAccessFile

          public void setJmxManagerAccessFile(java.lang.String jmxManagerAccessFile)

    - #### getJmxManagerHttpPort

          public int getJmxManagerHttpPort()

    - #### setJmxManagerHttpPort

          public void setJmxManagerHttpPort(int jmxManagerHttpPort)

    - #### getHttpServicePort

          public int getHttpServicePort()

    - #### setHttpServicePort

          public void setHttpServicePort(int httpServicePort)

    - #### getHttpServiceBindAddress

          public java.lang.String getHttpServiceBindAddress()

    - #### setHttpServiceBindAddress

          public void setHttpServiceBindAddress(java.lang.String httpServiceBindAddress)

    - #### getStartDevRestApi

          public boolean getStartDevRestApi()

    - #### setStartDevRestApi

          public void setStartDevRestApi(boolean startDevRestApi)

    - #### getJmxManagerUpdateRate

          public int getJmxManagerUpdateRate()

    - #### setJmxManagerUpdateRate

          public void setJmxManagerUpdateRate(int jmxManagerUpdateRate)

    - #### isJmxManagerSSLEnabled

          public boolean isJmxManagerSSLEnabled()

    - #### setJmxManagerSSLEnabled

          public void setJmxManagerSSLEnabled(boolean jmxManagerSSLEnabled)

    - #### getJmxManagerSSLProtocols

          public java.lang.String getJmxManagerSSLProtocols()

    - #### setJmxManagerSSLProtocols

          public void setJmxManagerSSLProtocols(java.lang.String jmxManagerSSLProtocols)

    - #### getJmxManagerSSLCiphers

          public java.lang.String getJmxManagerSSLCiphers()

    - #### setJmxManagerSSLCiphers

          public void setJmxManagerSSLCiphers(java.lang.String jmxManagerSSLCiphers)

    - #### isJmxManagerSSLRequireAuthentication

          public boolean isJmxManagerSSLRequireAuthentication()

    - #### setJmxManagerSSLRequireAuthentication

          public void setJmxManagerSSLRequireAuthentication(boolean jmxManagerSSLRequireAuthentication)

    - #### getJmxManagerSSLKeyStore

          public java.lang.String getJmxManagerSSLKeyStore()

    - #### setJmxManagerSSLKeyStore

          public void setJmxManagerSSLKeyStore(java.lang.String jmxManagerSSLKeyStore)

    - #### getJmxManagerSSLKeyStoreType

          public java.lang.String getJmxManagerSSLKeyStoreType()

    - #### setJmxManagerSSLKeyStoreType

          public void setJmxManagerSSLKeyStoreType(java.lang.String jmxManagerSSLKeyStoreType)

    - #### getJmxManagerSSLKeyStorePassword

          public java.lang.String getJmxManagerSSLKeyStorePassword()

    - #### setJmxManagerSSLKeyStorePassword

          public void setJmxManagerSSLKeyStorePassword(java.lang.String jmxManagerSSLKeyStorePassword)

    - #### getJmxManagerSSLTrustStore

          public java.lang.String getJmxManagerSSLTrustStore()

    - #### setJmxManagerSSLTrustStore

          public void setJmxManagerSSLTrustStore(java.lang.String jmxManagerSSLTrustStore)

    - #### getJmxManagerSSLTrustStorePassword

          public java.lang.String getJmxManagerSSLTrustStorePassword()

    - #### setJmxManagerSSLTrustStorePassword

          public void setJmxManagerSSLTrustStorePassword(java.lang.String jmxManagerSSLTrustStorePassword)

    - #### isClusterSSLEnabled

          public boolean isClusterSSLEnabled()

    - #### setClusterSSLEnabled

          public void setClusterSSLEnabled(boolean clusterSSLEnabled)

    - #### getClusterSSLProtocols

          public java.lang.String getClusterSSLProtocols()

    - #### setClusterSSLProtocols

          public void setClusterSSLProtocols(java.lang.String clusterSSLProtocols)

    - #### getClusterSSLCiphers

          public java.lang.String getClusterSSLCiphers()

    - #### setClusterSSLCiphers

          public void setClusterSSLCiphers(java.lang.String clusterSSLCiphers)

    - #### isClusterSSLRequireAuthentication

          public boolean isClusterSSLRequireAuthentication()

    - #### setClusterSSLRequireAuthentication

          public void setClusterSSLRequireAuthentication(boolean clusterSSLRequireAuthentication)

    - #### getClusterSSLKeyStore

          public java.lang.String getClusterSSLKeyStore()

    - #### setClusterSSLKeyStore

          public void setClusterSSLKeyStore(java.lang.String clusterSSLKeyStore)

    - #### getClusterSSLKeyStoreType

          public java.lang.String getClusterSSLKeyStoreType()

    - #### setClusterSSLKeyStoreType

          public void setClusterSSLKeyStoreType(java.lang.String clusterSSLKeyStoreType)

    - #### getClusterSSLKeyStorePassword

          public java.lang.String getClusterSSLKeyStorePassword()

    - #### setClusterSSLKeyStorePassword

          public void setClusterSSLKeyStorePassword(java.lang.String clusterSSLKeyStorePassword)

    - #### getClusterSSLTrustStore

          public java.lang.String getClusterSSLTrustStore()

    - #### setClusterSSLTrustStore

          public void setClusterSSLTrustStore(java.lang.String clusterSSLTrustStore)

    - #### getClusterSSLTrustStorePassword

          public java.lang.String getClusterSSLTrustStorePassword()

    - #### setClusterSSLTrustStorePassword

          public void setClusterSSLTrustStorePassword(java.lang.String clusterSSLTrustStorePassword)

    - #### isServerSSLEnabled

          public boolean isServerSSLEnabled()

    - #### setServerSSLEnabled

          public void setServerSSLEnabled(boolean serverSSLEnabled)

    - #### getServerSSLProtocols

          public java.lang.String getServerSSLProtocols()

    - #### setServerSSLProtocols

          public void setServerSSLProtocols(java.lang.String serverSSLProtocols)

    - #### getServerSSLCiphers

          public java.lang.String getServerSSLCiphers()

    - #### setServerSSLCiphers

          public void setServerSSLCiphers(java.lang.String serverSSLCiphers)

    - #### isServerSSLRequireAuthentication

          public boolean isServerSSLRequireAuthentication()

    - #### setServerSSLRequireAuthentication

          public void setServerSSLRequireAuthentication(boolean serverSSLRequireAuthentication)

    - #### getServerSSLKeyStore

          public java.lang.String getServerSSLKeyStore()

    - #### setServerSSLKeyStore

          public void setServerSSLKeyStore(java.lang.String serverSSLKeyStore)

    - #### getServerSSLKeyStoreType

          public java.lang.String getServerSSLKeyStoreType()

    - #### setServerSSLKeyStoreType

          public void setServerSSLKeyStoreType(java.lang.String serverSSLKeyStoreType)

    - #### getServerSSLKeyStorePassword

          public java.lang.String getServerSSLKeyStorePassword()

    - #### setServerSSLKeyStorePassword

          public void setServerSSLKeyStorePassword(java.lang.String serverSSLKeyStorePassword)

    - #### getServerSSLTrustStore

          public java.lang.String getServerSSLTrustStore()

    - #### setServerSSLTrustStore

          public void setServerSSLTrustStore(java.lang.String serverSSLTrustStore)

    - #### getServerSSLTrustStorePassword

          public java.lang.String getServerSSLTrustStorePassword()

    - #### setServerSSLTrustStorePassword

          public void setServerSSLTrustStorePassword(java.lang.String serverSSLTrustStorePassword)

    - #### isGatewaySSLEnabled

          public boolean isGatewaySSLEnabled()

    - #### setGatewaySSLEnabled

          public void setGatewaySSLEnabled(boolean gatewaySSLEnabled)

    - #### getGatewaySSLProtocols

          public java.lang.String getGatewaySSLProtocols()

    - #### setGatewaySSLProtocols

          public void setGatewaySSLProtocols(java.lang.String gatewaySSLProtocols)

    - #### getGatewaySSLCiphers

          public java.lang.String getGatewaySSLCiphers()

    - #### setGatewaySSLCiphers

          public void setGatewaySSLCiphers(java.lang.String gatewaySSLCiphers)

    - #### isGatewaySSLRequireAuthentication

          public boolean isGatewaySSLRequireAuthentication()

    - #### setGatewaySSLRequireAuthentication

          public void setGatewaySSLRequireAuthentication(boolean gatewaySSLRequireAuthentication)

    - #### getGatewaySSLKeyStore

          public java.lang.String getGatewaySSLKeyStore()

    - #### setGatewaySSLKeyStore

          public void setGatewaySSLKeyStore(java.lang.String gatewaySSLKeyStore)

    - #### getGatewaySSLKeyStoreType

          public java.lang.String getGatewaySSLKeyStoreType()

    - #### setGatewaySSLKeyStoreType

          public void setGatewaySSLKeyStoreType(java.lang.String gatewaySSLKeyStoreType)

    - #### getGatewaySSLKeyStorePassword

          public java.lang.String getGatewaySSLKeyStorePassword()

    - #### setGatewaySSLKeyStorePassword

          public void setGatewaySSLKeyStorePassword(java.lang.String gatewaySSLKeyStorePassword)

    - #### getGatewaySSLTrustStore

          public java.lang.String getGatewaySSLTrustStore()

    - #### setGatewaySSLTrustStore

          public void setGatewaySSLTrustStore(java.lang.String gatewaySSLTrustStore)

    - #### getGatewaySSLTrustStorePassword

          public java.lang.String getGatewaySSLTrustStorePassword()

    - #### setGatewaySSLTrustStorePassword

          public void setGatewaySSLTrustStorePassword(java.lang.String gatewaySSLTrustStorePassword)

    - #### isHttpServiceSSLEnabled

          public boolean isHttpServiceSSLEnabled()

    - #### setHttpServiceSSLEnabled

          public void setHttpServiceSSLEnabled(boolean httpServiceSSLEnabled)

    - #### isHttpServiceSSLRequireAuthentication

          public boolean isHttpServiceSSLRequireAuthentication()

    - #### setHttpServiceSSLRequireAuthentication

          public void setHttpServiceSSLRequireAuthentication(boolean httpServiceSSLRequireAuthentication)

    - #### getHttpServiceSSLProtocols

          public java.lang.String getHttpServiceSSLProtocols()

    - #### setHttpServiceSSLProtocols

          public void setHttpServiceSSLProtocols(java.lang.String httpServiceSSLProtocols)

    - #### getHttpServiceSSLCiphers

          public java.lang.String getHttpServiceSSLCiphers()

    - #### setHttpServiceSSLCiphers

          public void setHttpServiceSSLCiphers(java.lang.String httpServiceSSLCiphers)

    - #### getHttpServiceSSLKeyStore

          public java.lang.String getHttpServiceSSLKeyStore()

    - #### setHttpServiceSSLKeyStore

          public void setHttpServiceSSLKeyStore(java.lang.String httpServiceSSLKeyStore)

    - #### getHttpServiceSSLKeyStoreType

          public java.lang.String getHttpServiceSSLKeyStoreType()

    - #### setHttpServiceSSLKeyStoreType

          public void setHttpServiceSSLKeyStoreType(java.lang.String httpServiceSSLKeyStoreType)

    - #### getHttpServiceSSLKeyStorePassword

          public java.lang.String getHttpServiceSSLKeyStorePassword()

    - #### setHttpServiceSSLKeyStorePassword

          public void setHttpServiceSSLKeyStorePassword(java.lang.String httpServiceSSLKeyStorePassword)

    - #### getHttpServiceSSLTrustStore

          public java.lang.String getHttpServiceSSLTrustStore()

    - #### setHttpServiceSSLTrustStore

          public void setHttpServiceSSLTrustStore(java.lang.String httpServiceSSLTrustStore)

    - #### getHttpServiceSSLTrustStorePassword

          public java.lang.String getHttpServiceSSLTrustStorePassword()

    - #### setHttpServiceSSLTrustStorePassword

          public void setHttpServiceSSLTrustStorePassword(java.lang.String httpServiceSSLTrustStorePassword)

    - #### setDistributedTransactions

          public void setDistributedTransactions(boolean value)

    - #### getDistributedTransactions

          public boolean getDistributedTransactions()

    - #### getJmxSSLAlias

          public java.lang.String getJmxSSLAlias()

    - #### setJmxSSLAlias

          public void setJmxSSLAlias(java.lang.String jmxSSLAlias)

    - #### getClusterSSLAlias

          public java.lang.String getClusterSSLAlias()

    - #### setClusterSSLAlias

          public void setClusterSSLAlias(java.lang.String clusterSSLAlias)

    - #### getServerSSLAlias

          public java.lang.String getServerSSLAlias()

    - #### setServerSSLAlias

          public void setServerSSLAlias(java.lang.String serverSSLAlias)

    - #### getGatewaySSLAlias

          public java.lang.String getGatewaySSLAlias()

    - #### setGatewaySSLAlias

          public void setGatewaySSLAlias(java.lang.String gatewaySSLAlias)

    - #### getHttpServiceSSLAlias

          public java.lang.String getHttpServiceSSLAlias()

    - #### setHttpServiceSSLAlias

          public void setHttpServiceSSLAlias(java.lang.String httpServiceSSLAlias)

    - #### getLocatorSSLAlias

          public java.lang.String getLocatorSSLAlias()

    - #### setLocatorSSLAlias

          public void setLocatorSSLAlias(java.lang.String locatorSSLAlias)

    - #### getSecurableCommunicationChannel

          public org.apache.geode.internal.security.SecurableCommunicationChannel[] getSecurableCommunicationChannel()

    - #### setSecurableCommunicationChannel

          public void setSecurableCommunicationChannel(org.apache.geode.internal.security.SecurableCommunicationChannel[] sslEnabledComponents)

    - #### getSSLProtocols

          public java.lang.String getSSLProtocols()

    - #### setSSLProtocols

          public void setSSLProtocols(java.lang.String sslProtocols)

    - #### getSSLCiphers

          public java.lang.String getSSLCiphers()

    - #### setSSLCiphers

          public void setSSLCiphers(java.lang.String sslCiphers)

    - #### isSSLRequireAuthentication

          public boolean isSSLRequireAuthentication()

    - #### setSSLRequireAuthentication

          public void setSSLRequireAuthentication(boolean sslRequireAuthentication)

    - #### getSSLKeyStore

          public java.lang.String getSSLKeyStore()

    - #### setSSLKeyStore

          public void setSSLKeyStore(java.lang.String sslKeyStore)

    - #### getSSLKeyStoreType

          public java.lang.String getSSLKeyStoreType()

    - #### setSSLKeyStoreType

          public void setSSLKeyStoreType(java.lang.String sslKeyStoreType)

    - #### getSSLKeyStorePassword

          public java.lang.String getSSLKeyStorePassword()

    - #### setSSLKeyStorePassword

          public void setSSLKeyStorePassword(java.lang.String sslKeyStorePassword)

    - #### getSSLTrustStore

          public java.lang.String getSSLTrustStore()

    - #### setSSLTrustStore

          public void setSSLTrustStore(java.lang.String sslTrustStore)

    - #### getSSLTrustStorePassword

          public java.lang.String getSSLTrustStorePassword()

    - #### setSSLTrustStorePassword

          public void setSSLTrustStorePassword(java.lang.String sslTrustStorePassword)

    - #### getSSLTrustStoreType

          public java.lang.String getSSLTrustStoreType()

    - #### setSSLTrustStoreType

          public void setSSLTrustStoreType(java.lang.String sslTrustStoreType)

    - #### getSSLWebServiceRequireAuthentication

          public boolean getSSLWebServiceRequireAuthentication()

    - #### setSSLWebServiceRequireAuthentication

          public void setSSLWebServiceRequireAuthentication(boolean sslWebServiceRequireAuthentication)

    - #### getSSLDefaultAlias

          public java.lang.String getSSLDefaultAlias()

    - #### setSSLDefaultAlias

          public void setSSLDefaultAlias(java.lang.String sslDefaultAlias)